Loading...
Searching...
No Matches
LCM.LCM.TCPService Class Reference

## Public Member Functions

| TCPService (int port)
| Constructor of the TCP service object.
void | Relay (byte[] channel, byte[] data)
| Synchronously send a message to all clients.

## Constructor & Destructor Documentation

## TCPService()

LCM.LCM.TCPService.TCPService | ( | int | port | ) |

inline

Constructor of the TCP service object.

Parameters

  port | TCP port number

## Member Function Documentation

## Relay()

void LCM.LCM.TCPService.Relay | ( | byte[] | channel,
|  | byte[] | data )

inline

Synchronously send a message to all clients.

Parameters

  channel | channel name
  data | data to be relayed

The documentation for this class was generated from the following file:

- lcm/lcm/TCPService.cs